/**
 * version.C: Some module TODO
 *
 * Copyright © 2007 Pippijn van Steenhoven / The Ermyth Team
 * Rights to this code are as documented in COPYING.
 *
 *
 * Portions of this file were derived from sources bearing the following license:
 * Copyright © 2007 Pippijn van Steenhoven / The Ermyth Team
 * Copyright © 2007 Atheme Development Group
 * Rights to this code are as documented in doc/pod/license.pod.
 *
 * $Id: version.C,v 1.5 2007/09/22 14:27:27 pippijn Exp $
 */

#include "atheme.h"
#include <ermyth/module.h>

static char const rcsid[] = "$Id: version.C,v 1.5 2007/09/22 14:27:27 pippijn Exp $";

REGISTER_MODULE ("chanserv/version", false, "The Ermyth Team <http://ermyth.xinutec.org>");

static void cs_cmd_version (sourceinfo_t *si, int parc, char *parv[]);

command_t const cs_version = { "VERSION", N_("Displays version information of the services."), AC_NONE, 0, cs_cmd_version };

E cmdvec cs_cmdtree;

bool
_modinit (module *m)
{
  cs_cmdtree << cs_version;

  return true;
}

void
_moddeinit ()
{
  cs_cmdtree >> cs_version;
}

static void
cs_cmd_version (sourceinfo_t *si, int parc, char *parv[])
{
  char buf[BUFSIZE];
  snprintf (buf, BUFSIZE, PACKAGE_NAME " %s #%s", version, generation);
  command_success_string (si, buf, "%s", buf);
  return;
}
